Subject: Re: [RFC] GPIO-Watchdog in devicetree

From: Scott Wood <[email-masked]>
Date: Thu, 25 Sep 2008 13:21:23 -0500

Grant Likely wrote:
> On Thu, Sep 25, 2008 at 11:59 AM, Scott Wood <[email-masked]> wrote:
>> On Tue, Sep 23, 2008 at 09:02:56AM -0600, Grant Likely wrote:
>>> For example:
>>> / {
>>>       model = "pengutronix,super-sexy-board";
>>>       #address-cells = <1>;
>>>       #size-cells = <1>;
>>>       super-sexy-board,watchdog-gpio = <&gpio_simple 19 0>;
>>>       ...
>>> }
>> Why as a property of the root node, and not as a node with a very
>> specific compatible property?
> 
> Because the root node is the only logical board-level node we have
> right now.  However, I'm not deeply committed to this approach.  The
> only question I have about putting it in another node is choosing the
> parent node.  I don't think it fits to make it a child of the SoC node
> or any other bus node.

A child of the gpio controller node seems most logical, though a child 
of the root node would be OK.  It was the freefloating property that 
struck me as a little odd.

-Scott